//  Mie-Scattering Experiment for the Classroom Manufactured by 3D Printing
//  Christian Scholz, Achim Sack, Michael Heckel, and Thorsten Pöschel
//  2016
//
//  http://www.mss.cbi.fau.de/Mie-experiment/
//  Institute for Multiscale Simluation
//  Naegelsbachstr. 49b
//  91054 Erlangen
//  Germany
//
//  These files represent parts for the Mie-Scattering Experiment Mount
//  This part serves as a sample holder
//
//  License - Creative Commons Attribution-ShareAlike 4.0

// set resolution for circular parts
$fn=50; 
union(){    
    //-----------Main Column--------------------------------------------
    translate([0, 0, -105]) 
    {
    difference()
        {
        translate([0, -10, 0])  // centering Column 
            {
            cube ([20, 20, 120]);   // column
            }
        translate([0, 0, 64])   // translate Lase-holding (previously 65) 
            {
            rotate([0, 90, 0])  // rotate Laser-holding
            cylinder (h=20, d=9);   // laser-holding
            }                           
        translate([4.5, -5.5, 0]) 
            {
            cube ([11, 11, 11]);    // recess for plate-attachement
            }
        }
    }
    //--------- Attachment for sample holder----------------------
    difference()
    {
    translate([0, -1.5, 0])
        {
        cube([62, 3, 15]);
        }
    }
    //--------------Sample holder---------------------------------------      
    translate([62, -14, 0])
        {
        cube([1.5, 26.5, 15]);
        }
    translate([63.5, -14, 0])
        {
        cube([3, 1.5, 15]);
        }
    translate([65, -14, 0])
        {
        cube([1.5, 26.5, 15]);
        }
    translate([65, 0, 0])
        {
        cylinder (h=15, d=2);
        }
    difference(){
    union()
        {
        translate([60.3,-25,0]) rotate([0,0,-5]) cube([2.7,20,15]);
        translate([65.5,-25,0]) rotate([0,0,5]) cube([2.7,20,15]);    
        }
    translate([63.5,-13,0]) cube([1.5,30,20]);
    }
    //----------------Font Institute MSS--------------------------------------
    translate([14,-9,-100.0]) rotate([90,-90,0]) linear_extrude(height = 5, center = true, convexity = 10, twist = 0, slices = 20, scale = 1.0) 
        { 
        text("mss.cbi.fau.de",size=10,font="sans:style=bold");
        }                        
 }