function result = mie_tetascan_lim(m, x, tetamin, tetamax, nsteps)
% Computation and plot of Mie Power Scattering function for given
% complex refractive-index ratio m=m'+im", size parameters x=k0*a,
% according to Bohren and Huffman (1983) BEWI:TDD122
% C. Mätzler, May 2002.
% Edit adjustable angle range C. Scholz, January 2016

m1=real(m); m2=imag(m);
dteta=abs(tetamax-tetamin)/(nsteps-1);
teta=tetamin:dteta:tetamax;
    for j = 1:nsteps,
        u=cos(teta(j));
        a(:,j)=mie_S12(m,x,u);
        SL(j)= real(a(1,j)'*a(1,j));
        SR(j)= real(a(2,j)'*a(2,j));
    end;
y=[teta ;SL;SR]';
result=y; 
